# Class Trade

#### Hierarchy

- unknown
  - Trade

- Defined in src/protobuf/pb_pb.d.ts:6106
- Defined in src/protobuf/pb_pb.d.ts:6218

#####
Index

### Constructors

constructor

### Methods

addChatMessage
clearArbitratorNodeAddress
clearChatMessageList
clearContract
clearMediatorNodeAddress
clearOffer
clearProcessModel
clearRefundAgentNodeAddress
getAmount
getArbitratorNodeAddress
getChallenge
getChatMessageList
getContract
getContractAsJson
getContractHash
getContractHash_asB64
getContractHash_asU8
getCounterCurrencyExtraData
getCounterCurrencyTxId
getDisputeState
getErrorMessage
getIsCompleted
getLockTime
getMediationResultState
getMediatorNodeAddress
getOffer
getPayoutState
getPayoutTxHex
getPayoutTxId
getPayoutTxKey
getPeriodState
getPrice
getProcessModel
getRefundAgentNodeAddress
getRefundResultState
getStartTime
getState
getTakeOfferDate
getUid
hasArbitratorNodeAddress
hasContract
hasMediatorNodeAddress
hasOffer
hasProcessModel
hasRefundAgentNodeAddress
serializeBinary
setAmount
setArbitratorNodeAddress
setChallenge
setChatMessageList
setContract
setContractAsJson
setContractHash
setCounterCurrencyExtraData
setCounterCurrencyTxId
setDisputeState
setErrorMessage
setIsCompleted
setLockTime
setMediationResultState
setMediatorNodeAddress
setOffer
setPayoutState
setPayoutTxHex
setPayoutTxId
setPayoutTxKey
setPeriodState
setPrice
setProcessModel
setRefundAgentNodeAddress
setRefundResultState
setStartTime
setState
setTakeOfferDate
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Trade(): Trade

- #### Returns Trade

  Inherited from jspb.Message.constructor

## Methods

### addChatMessage

- addChatMessage(value?: ChatMessage, index?: number): ChatMessage

- #### Parameters

  - ##### `Optional` value: ChatMessage

  - ##### `Optional` index: number

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:6179

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6163

### clearChatMessageList

- clearChatMessageList(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6178

### clearContract

- clearContract(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6150

### clearMediatorNodeAddress

- clearMediatorNodeAddress(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6168

### clearOffer

- clearOffer(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6110

### clearProcessModel

- clearProcessModel(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6115

### clearRefundAgentNodeAddress

- clearRefundAgentNodeAddress(): Trade

- #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6193

### getAmount

- getAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6126

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:6160

### getChallenge

- getChallenge(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6207

### getChatMessageList

- getChatMessageList(): ChatMessage[]

- #### Returns ChatMessage[]

  - Defined in src/protobuf/pb_pb.d.ts:6176

### getContract

- getContract(): undefined | Contract

- #### Returns undefined | Contract

  - Defined in src/protobuf/pb_pb.d.ts:6147

### getContractAsJson

- getContractAsJson(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6152

### getContractHash

- getContractHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6155

### getContractHash_asB64

- getContractHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6157

### getContractHash_asU8

- getContractHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6156

### getCounterCurrencyExtraData

- getCounterCurrencyExtraData(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6198

### getCounterCurrencyTxId

- getCounterCurrencyTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6173

### getDisputeState

- getDisputeState(): DisputeState

- #### Returns DisputeState

  - Defined in src/protobuf/pb_pb.d.ts:6141

### getErrorMessage

- getErrorMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6170

### getIsCompleted

- getIsCompleted(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6204

### getLockTime

- getLockTime(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6184

### getMediationResultState

- getMediationResultState(): MediationResultState

- #### Returns MediationResultState

  - Defined in src/protobuf/pb_pb.d.ts:6181

### getMediatorNodeAddress

- getMediatorNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:6165

### getOffer

- getOffer(): undefined | Offer

- #### Returns undefined | Offer

  - Defined in src/protobuf/pb_pb.d.ts:6107

### getPayoutState

- getPayoutState(): PayoutState

- #### Returns PayoutState

  - Defined in src/protobuf/pb_pb.d.ts:6138

### getPayoutTxHex

- getPayoutTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6120

### getPayoutTxId

- getPayoutTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6117

### getPayoutTxKey

- getPayoutTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6123

### getPeriodState

- getPeriodState(): TradePeriodState

- #### Returns TradePeriodState

  - Defined in src/protobuf/pb_pb.d.ts:6144

### getPrice

- getPrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6132

### getProcessModel

- getProcessModel(): undefined | ProcessModel

- #### Returns undefined | ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6112

### getRefundAgentNodeAddress

- getRefundAgentNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:6190

### getRefundResultState

- getRefundResultState(): RefundResultState

- #### Returns RefundResultState

  - Defined in src/protobuf/pb_pb.d.ts:6195

### getStartTime

- getStartTime(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6187

### getState

- getState(): Trade.State

- #### Returns Trade.State

  - Defined in src/protobuf/pb_pb.d.ts:6135

### getTakeOfferDate

- getTakeOfferDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6129

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6201

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6162

### hasContract

- hasContract(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6149

### hasMediatorNodeAddress

- hasMediatorNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6167

### hasOffer

- hasOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6109

### hasProcessModel

- hasProcessModel(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6114

### hasRefundAgentNodeAddress

- hasRefundAgentNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6192

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6210

### setAmount

- setAmount(value: number): Trade

- #### Parameters

  - ##### value: number

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6127

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress): Trade

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6161

### setChallenge

- setChallenge(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6208

### setChatMessageList

- setChatMessageList(value: ChatMessage[]): Trade

- #### Parameters

  - ##### value: ChatMessage[]

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6177

### setContract

- setContract(value?: Contract): Trade

- #### Parameters

  - ##### `Optional` value: Contract

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6148

### setContractAsJson

- setContractAsJson(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6153

### setContractHash

- setContractHash(value: string | Uint8Array): Trade

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6158

### setCounterCurrencyExtraData

- setCounterCurrencyExtraData(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6199

### setCounterCurrencyTxId

- setCounterCurrencyTxId(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6174

### setDisputeState

- setDisputeState(value: DisputeState): Trade

- #### Parameters

  - ##### value: DisputeState

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6142

### setErrorMessage

- setErrorMessage(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6171

### setIsCompleted

- setIsCompleted(value: boolean): Trade

- #### Parameters

  - ##### value: boolean

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6205

### setLockTime

- setLockTime(value: number): Trade

- #### Parameters

  - ##### value: number

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6185

### setMediationResultState

- setMediationResultState(value: MediationResultState): Trade

- #### Parameters

  - ##### value: MediationResultState

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6182

### setMediatorNodeAddress

- setMediatorNodeAddress(value?: NodeAddress): Trade

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6166

### setOffer

- setOffer(value?: Offer): Trade

- #### Parameters

  - ##### `Optional` value: Offer

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6108

### setPayoutState

- setPayoutState(value: PayoutState): Trade

- #### Parameters

  - ##### value: PayoutState

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6139

### setPayoutTxHex

- setPayoutTxHex(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6121

### setPayoutTxId

- setPayoutTxId(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6118

### setPayoutTxKey

- setPayoutTxKey(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6124

### setPeriodState

- setPeriodState(value: TradePeriodState): Trade

- #### Parameters

  - ##### value: TradePeriodState

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6145

### setPrice

- setPrice(value: number): Trade

- #### Parameters

  - ##### value: number

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6133

### setProcessModel

- setProcessModel(value?: ProcessModel): Trade

- #### Parameters

  - ##### `Optional` value: ProcessModel

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6113

### setRefundAgentNodeAddress

- setRefundAgentNodeAddress(value?: NodeAddress): Trade

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6191

### setRefundResultState

- setRefundResultState(value: RefundResultState): Trade

- #### Parameters

  - ##### value: RefundResultState

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6196

### setStartTime

- setStartTime(value: number): Trade

- #### Parameters

  - ##### value: number

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6188

### setState

- setState(value: Trade.State): Trade

- #### Parameters

  - ##### value: Trade.State

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6136

### setTakeOfferDate

- setTakeOfferDate(value: number): Trade

- #### Parameters

  - ##### value: number

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6130

### setUid

- setUid(value: string): Trade

- #### Parameters

  - ##### value: string

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6202

### toObject

- toObject(includeInstance?: boolean): Trade.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Trade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6211

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Trade

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6214

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Trade, reader: BinaryReader): Trade

- #### Parameters

  - ##### message: Trade

  - ##### reader: BinaryReader

  #### Returns Trade

  - Defined in src/protobuf/pb_pb.d.ts:6215

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Trade, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Trade

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6213

### `Static` toObject

- toObject(includeInstance: boolean, msg: Trade): Trade.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Trade

  #### Returns Trade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6212

Generated using TypeDoc